From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-App-Cmd/
Date: Tue, 27 Mar 2012 09:30:25 +0000 (UTC) [thread overview]
Message-ID: <1332813706.219d4687254acd1153993c9226c092788b56ed15.kent@gentoo> (raw)
commit: 219d4687254acd1153993c9226c092788b56ed15
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Mar 27 02:01:46 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Tue Mar 27 02:01:46 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=219d4687
[newversion] MooseX-App-Cmd-0.90.0
(Portage version: 2.2.0_alpha95/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)
---
dev-perl/MooseX-App-Cmd/ChangeLog | 6 ++
.../MooseX-App-Cmd/MooseX-App-Cmd-0.90.0.ebuild | 85 ++++++++++++++++++++
2 files changed, 91 insertions(+), 0 deletions(-)
diff --git a/dev-perl/MooseX-App-Cmd/ChangeLog b/dev-perl/MooseX-App-Cmd/ChangeLog
index da23ef6..d054c3e 100644
--- a/dev-perl/MooseX-App-Cmd/ChangeLog
+++ b/dev-perl/MooseX-App-Cmd/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*MooseX-App-Cmd-0.90.0 (27 Mar 2012)
+
+ 27 Mar 2012; Kent Fredric <kentfredric@gmail.com>
+ +MooseX-App-Cmd-0.90.0.ebuild:
+ Version Bump
+
*MooseX-App-Cmd-0.70.0 (01 Mar 2012)
01 Mar 2012; Kent Fredric <kentfredric@gmail.com>
diff --git a/dev-perl/MooseX-App-Cmd/MooseX-App-Cmd-0.90.0.ebuild b/dev-perl/MooseX-App-Cmd/MooseX-App-Cmd-0.90.0.ebuild
new file mode 100644
index 0000000..a13eeb0
--- /dev/null
+++ b/dev-perl/MooseX-App-Cmd/MooseX-App-Cmd-0.90.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=MJGARDNER
+MODULE_VERSION=0.09
+inherit perl-module
+
+DESCRIPTION='Mashes up MooseX::Getopt and App::Cmd'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_build() {
+ # ExtUtils::MakeMaker
+ echo virtual/perl-ExtUtils-MakeMaker
+}
+perl_meta_runtime() {
+ # App::Cmd 0.3 ( 0.300.0 )
+ echo \>=dev-perl/App-Cmd-0.300.0
+ # App::Cmd::Command
+ echo dev-perl/App-Cmd
+ # English
+ echo dev-lang/perl
+ # File::Basename
+ echo dev-lang/perl
+ # Getopt::Long::Descriptive 0.091 ( 0.91.0 )
+ echo \>=dev-perl/Getopt-Long-Descriptive-0.91.0
+ # Moose 0.86 ( 0.860.0 )
+ echo \>=dev-perl/Moose-0.860
+ # Moose::Object
+ echo dev-perl/Moose
+ # MooseX::Getopt 0.18 ( 0.180.0 )
+ echo \>=dev-perl/MooseX-Getopt-0.180.0
+ # MooseX::Has::Options
+ echo dev-perl/MooseX-Has-Options
+ # MooseX::MarkAsMethods
+ echo dev-perl/MooseX-MarkAsMethods
+ # Test::use::ok
+ echo dev-perl/Test-use-ok
+ # perl 5.006 ( 5.6.0 )
+ echo \>=dev-lang/perl-5.6.0
+}
+perl_meta_test() {
+ # Carp
+ # echo virtual/perl-Carp
+ # Data::Dumper
+ echo virtual/perl-Data-Dumper
+ # File::Find
+ echo dev-lang/perl
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # MooseX::ConfigFromFile
+ echo dev-perl/MooseX-ConfigFromFile
+ # Scalar::Util
+ echo virtual/perl-Scalar-List-Utils
+ # Test::More 0.94 ( 0.940.0 )
+ echo \>=virtual/perl-Test-Simple-0.94
+ # Test::Output
+ echo dev-perl/Test-Output
+ # Test::Requires
+ echo dev-perl/Test-Requires
+ # YAML
+ echo dev-perl/yaml
+ # base
+ # echo virtual/perl-base
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2012-03-27 9:33 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-03-27 9:30 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-03-26 1:03 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-App-Cmd/ Kent Fredric
2014-10-11 18:46 Kent Fredric
2012-03-01 11:37 Kent Fredric
2011-03-18 3:09 Kent Fredric
2011-03-18 3:09 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1332813706.219d4687254acd1153993c9226c092788b56ed15.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox